cert.ws

## Class CERT

- java.lang.Object
- - cert.ws.CERT

-     public class CERT
      extends java.lang.Object

  Endpoint sulla PDD-ASL dei servizi esposti dalla componente CERT (Certificati)
  Version:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CERT()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `annullareCertificato(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String idProtocolloCertificato)` Operation annullareCertificato: annullamento di un certificato sanitario INPS/INAIL nel SIST
    `java.lang.String` | `registrareCertificati(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, byte[] cdaDocument)` Operation registrareCertificati: registrazione di un certificato sanitario INPS/INAIL nel SIST

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CERT

          public CERT()

  - ### Method Detail

    - #### registrareCertificati

          public java.lang.String registrareCertificati(DatiOperatore datiOperatore,
                                                        DatiApplicativo datiApplicativo,
                                                        byte[] cdaDocument)

      Operation registrareCertificati: registrazione di un certificato sanitario INPS/INAIL nel SIST
      Parameters:
        `datiOperatore` - Elemento obbligatorio che rappresenta i dati identificativi dell'operatore che richiede il servizio
        `datiApplicativo` - Elemento obbligatrio che rappresenta i dati dell'applicativo in uso all'operatore che esegue la richiesta del servizio.
        `cdaDocument` - Elemento obbligatorio che rappresenta il byte array della busta PKCS#7 in base64 del documento CDA di Certificazione (INPS/INAIL)
      Returns:
        OID (Identificativo) dell'atto sanitario registrato nel SIST.
      Throws:
        `SoapFaultException:` - errore applicativo. Può assumere i seguenti valori (codice - messaggio):
        - 000001 - Errore non previsto. Contattare il servizio di assistenza tecnica.
        - 000162 - L'assistito non risulta presente nell'anagrafe sanitaria regionale.
        - 000219 - Firma fallita: certificato della smart card scaduto, non valido o revocato.
        - 000231 - Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 900007 - Non è possibile registrare il Certificato Sanitario.
        - 900008 - Impossibile notificare l'evento di certificazione al Fascicolo Sanitario Elettronico.
        - 900025 - Atto sanitario non valido.
        - 900030 - Servizio non autorizzato.
        - 900031 - Non è possibile recuperare l'identificativo dell'atto sanitario.
        - 900034 - La tipologia dell'atto sanitario non è supportata.
        - 900035 - Non è possibile verificare la firma digitale dell'atto sanitario.
        - 900054 - Il codice ICD9 CM del problema riportato non è corretto
        - 900055 - Errore nella composizione del Certificato Sanitario.
        - 900061 - L'assistibile non ha fornito o ha negato il consenso al trattamento dei dati sensibili.
        - 900063 - Non è possibile identificare l'operatore sanitario.
        - 900070 - Il documento CDA del Certificato Sanitario contiene un riferimento di sostituzione errato.
        - 900071 - Non è possibile recuperare la scelta/revoca del medico per l'assistibile in oggetto.
        - 900072 - Non è possibile recuperare il consenso informato dell'assistibile in oggetto.
        - 900074 - L'assistibile non ha fornito od ha negato il consenso al trattamento dei dati sensibili.
        - 900075 - Assistibile non presente in anagrafe.
        - 900076 - Non è possibile verificare l'identità dell'operatore sanitario.
        - 900078 - Non è possibile recuperare il Codice Anagrafico Regionale (CAR) del medico.
        - 900079 - Il medico non risulta essere in scelta per l'assistibile alla data in oggetto.
        - 900082 - Un Medico di Medicina Generale (MMG) può registrare esclusivamente Atti Sanitari degli assistiti a proprio carico.
        - 900083 - L'operatore non è abilitato a visionare l'atto sanitario richiesto.
        - 900084 - L'operatore non è abilitato alla registrazione di Certificati Sanitari per l'assistibile in oggetto.
        - 900085 - Non è possibile contattare il servizio di anagrafica e gestione dei medici.
        - 900086 - Non è possibile contattare il servizio di anagrafica e gestione degli assistibili.
        - 900087 - Non è possibile contattare il servizio per la gestione del regime di assunzione della responsabilità.
        - 900088 - Non è possibile contattare il servizio per la gestione degli Eventi Sanitari.
        - 900090 - Errore d'accesso al database.
        - 900091 - Errore di coerenza dei dati.
        - 900092 - Errore nella registrazione dell'atto firmato.
        - 900093 - Errore nel recupero dell'atto firmato.
        - 900095 - Errore nella registrazione di una o più relazioni dell'atto con i soggetti.
        - 900096 - Errore nella registrazione di una o più relazioni tra atti.
        - 900098 - L'atto sanitario contiene una relazione di sostituzione non ammessa.
        - 900099 - Errore nella registrazione dei dati atomici dell'atto sanitario.
        - 900102 - Non è possibile recuperare l'assistibile riportato nell'atto sanitario.
        - 900104 - Non è possibile registrare l'atto sanitario, ne esiste già uno attivo per il soggetto.
        - 900107 - Atto sanitario già presente in archivio.
        - 900111 - Errore nell'inserimento dei dati atomici dell'atto sanitario.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### annullareCertificato

          public java.lang.String annullareCertificato(DatiOperatore datiOperatore,
                                                       DatiApplicativo datiApplicativo,
                                                       java.lang.String idProtocolloCertificato)

      Operation annullareCertificato: annullamento di un certificato sanitario INPS/INAIL nel SIST
      Parameters:
        `datiOperatore` - Elemento obbligatorio che rappresenta i dati identificativi dell'operatore che richiede il servizio
        `datiApplicativo` - Elemento obbligatrio che rappresenta i dati dell'applicativo in uso all'operatore che esegue la richiesta del servizio.
        `idProtocolloCertificato` - Elemento obbligatorio che rappresenta l'identificativo del Protocollo restituito dalla transazione con i servizi SAC del INPS
      Returns:
        esito della transazione di annullamento (TRUE/FALSE).
      Throws:
        `SoapFaultException:` - errore applicativo. Può assumere i seguenti valori (codice - messaggio):
        - 000001 - Errore non previsto. Contattare il servizio di assistenza tecnica.
        - 000162 - L'assistito non risulta presente nell'anagrafe sanitaria regionale.
        - 000219 - Firma fallita: certificato della smart card scaduto, non valido o revocato.
        - 000231 - Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 900007 - Non è possibile registrare il Certificato Sanitario.
        - 900008 - Impossibile notificare l'evento di certificazione al Fascicolo Sanitario Elettronico.
        - 900010 - Non è possibile annullare il certificato sanitario.
        - 900025 - Atto sanitario non valido.
        - 900030 - Servizio non autorizzato.
        - 900031 - Non è possibile recuperare l'identificativo dell'atto sanitario.
        - 900034 - La tipologia dell'atto sanitario non è supportata.
        - 900035 - Non è possibile verificare la firma digitale dell'atto sanitario.
        - 900054 - Il codice ICD9 CM del problema riportato non è corretto
        - 900055 - Errore nella composizione del Certificato Sanitario.
        - 900061 - L'assistibile non ha fornito o ha negato il consenso al trattamento dei dati sensibili.
        - 900063 - Non è possibile identificare l'operatore sanitario.
        - 900070 - Il documento CDA del Certificato Sanitario contiene un riferimento di sostituzione errato.
        - 900071 - Non è possibile recuperare la scelta/revoca del medico per l'assistibile in oggetto.
        - 900072 - Non è possibile recuperare il consenso informato dell'assistibile in oggetto.
        - 900074 - L'assistibile non ha fornito od ha negato il consenso al trattamento dei dati sensibili.
        - 900075 - Assistibile non presente in anagrafe.
        - 900076 - Non è possibile verificare l'identità dell'operatore sanitario.
        - 900078 - Non è possibile recuperare il Codice Anagrafico Regionale (CAR) del medico.
        - 900079 - Il medico non risulta essere in scelta per l'assistibile alla data in oggetto.
        - 900082 - Un Medico di Medicina Generale (MMG) può registrare esclusivamente Atti Sanitari degli assistiti a proprio carico.
        - 900083 - L'operatore non è abilitato a visionare l'atto sanitario richiesto.
        - 900084 - L'operatore non è abilitato alla registrazione di Certificati Sanitari per l'assistibile in oggetto.
        - 900085 - Non è possibile contattare il servizio di anagrafica e gestione dei medici.
        - 900086 - Non è possibile contattare il servizio di anagrafica e gestione degli assistibili.
        - 900087 - Non è possibile contattare il servizio per la gestione del regime di assunzione della responsabilità.
        - 900088 - Non è possibile contattare il servizio per la gestione degli Eventi Sanitari.
        - 900089 - Certificato Sanitario già annullato in archivio.
        - 900090 - Errore d'accesso al database.
        - 900091 - Errore di coerenza dei dati.
        - 900092 - Errore nella registrazione dell'atto firmato.
        - 900093 - Errore nel recupero dell'atto firmato.
        - 900094 - Errore nell'annullamento dell'atto firmato.
        - 900095 - Errore nella registrazione di una o più relazioni dell'atto con i soggetti.
        - 900096 - Errore nella registrazione di una o più relazioni tra atti.
        - 900098 - L'atto sanitario contiene una relazione di sostituzione non ammessa.
        - 900099 - Errore nella registrazione dei dati atomici dell'atto sanitario.
        - 900102 - Non è possibile recuperare l'assistibile riportato nell'atto sanitario.
        - 900104 - Non è possibile registrare l'atto sanitario, ne esiste già uno attivo per il soggetto.
        - 900107 - Atto sanitario già presente in archivio.
        - 900111 - Errore nell'inserimento dei dati atomici dell'atto sanitario.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile